#!/usr/bin/env python
from distutils.core import setup

import genargs

VERSION=str(genargs.__version__)

__version__ = '$Revision: 4807 $'.split()[1]
__date__ = '$Date: 2006-09-27 10:37:07 -0400 (Wed, 27 Sep 2006) $'.split()[1]
__author__ = 'Kurt Schwehr'

__doc__='''
Wrap xml option into something nicer and provide associated info for
gengetopt (ggo) and others.

Requires: lxml

@author: '''+__author__+'''
@version: ''' + __version__ +' '+VERSION+'''
@copyright: 2006
@var __date__: Date of last svn commit
@undocumented: __version__ __author__ __doc__ myparser
@since: 2006-Sep-26
@status: under development
@organization: U{CCOM<http://ccom.unh.edu/>}

@license: LGPL
'''



import glob
SCRIPTS=glob.glob('scripts/*')

if __name__=='__main__':

    setup(name='genargs-py',
	  version=VERSION,
	  author='Kurt Schwehr',
	  author_email='kurt@ccom.unh.edu',
	  maintainer='Kurt Schwehr',
	  maintainer_email='kurt@ccom.unh.edu',
	  url='http://www.ccom.unh.edu',
	  download_url='http://FIX',
	  description='Generate command line handling code',
	  long_description='''FIX: write long description

	  Part of the Chart of the Future project and GeoZui4D at ccom.unh.edu      
          ''',
	  license='LGPL',
	  keywords='genargs, command line, config files, parameters',
	  platforms='All platforms',
	  classifiers=['Programming Language :: Python', 'Programming Language :: C++'],
	  scripts=SCRIPTS,
	  packages=['genargs']
)
